/*
 * statusled.c
 *
 * Created: 03.02.2019 20:49:46
 *  Author: Chris
 */ 

#include "config.h"
#include "statusled.h"

uint8_t statusled_cnt = 0;

void statusled_set(uint8_t ontime)
{
	IOPIN_H(STATUS0);
	if(ontime > statusled_cnt)
	{
		statusled_cnt = ontime;
	}
}

void statusled_init(void)
{
		IOPIN_O(STATUS0);
		IOPIN_O(STATUS1);
		IOPIN_H(STATUS0);
		IOPIN_H(STATUS1);
		
		statusled_set(PIROZEDA_STATUS_LED_BOOT);
}

void statusled_tick(void)
{
	if(statusled_cnt > 0)
	{	
		statusled_cnt--;
		
		if(statusled_cnt == 0)
		{
			IOPIN_L(STATUS0);
		}
	}
}