/*
 * prozeda_cfg.h
 *
 * Created: 08.02.2017 21:17:24
 *  Author: Chris
 */ 


#ifndef PROZEDA_CFG_H_
#define PROZEDA_CFG_H_

#include "simpleio.h"

// IOs for debugging
#define DBG0 IOPIN(B, 0)
#define DBG1 IOPIN(D, 7)
#define DBG2 IOPIN(D, 6)

#define PROZEDA_USE_COLUMN_NAMES 

// turn support for those long sysinfo-message on (not tested)
//#define PROZEDA_SUPPORT_SYSDATA

#define PROZEDA_SUPPORT_DISPLAY
#define PROZEDA_SUPPORT_HEADER

// enable debugging information for message check (CRC error, length error)
#define PROZEDA_MSGCHK_DEBUG

// enable debugging information for message type
//#define PROZEDA_MSGTYPE_DEBUG

// ignore "kitty messages", else those messages will be handled as length error
// disable this if you want get more debug information
#define PROZEDA_IGNORE_KITTY

// enable protocol statistics
//#define PROZEDA_STATS

// this should be equal to around 300 ... 400 s
#define PROZEDA_MSG_MAXTICKS 3

// define the function for debug messages, comment out if not used.
#define prozeda_debug uart_write
#define prozeda_debugln uart_writeln


#endif /* PROZEDA_CFG_H_ */