/*
 * prozeda_print.h
 *
 * Created: 29.10.2017 21:49:52
 *  Author: Chris
 */ 


#ifndef PROZEDA_PRINT_H_
#define PROZEDA_PRINT_H_

#include "prozeda.h"
#include "uart.h"

typedef struct
{
	uint16_t sof;
	uint16_t timestamp_date;
	uint16_t timestamp_time;
	uint16_t timestamp_seconds;
	int16_t  temperature[11];
	uint8_t  output[8];
	uint8_t  error[4]; // not sure about this
	uint32_t storage0; // not sure about this
	uint16_t dummy0; // not sure about this
	uint16_t storage1;
	uint16_t dummy1;
	uint16_t functionActive[4];
	uint16_t flowRate;
	int16_t tapping;
	uint16_t dummy2;
	uint8_t unknown0;
	uint8_t checksum;
}	prozeda_logdata_t;


#define prozeda_println uart_writeln
#define prozeda_print uart_write
#define prozeda_putc uart_putc

void print_logdata(prozeda_logdata_t* data);
void print_logdata_json(prozeda_logdata_t* data);

#endif /* PROZEDA_PRINT_H_ */
