#!/bin/bash
# chmod +x rtc-enable.sh
# sudo rtc-enable.sh

# add DS1307 to modules

echo "# enable DS1307-RTC" >> /etc/modules
echo "rtc-ds1307" >> /etc/modules

# disable fake-hwclock
update-rc.d ntp disable
update-rc.d -f fake-hwclock disable
update-rc.d -f fake-hwclock remove
apt-get remove fake-hwclock

# enable loading of the clock at bootup
cp /etc/init.d/hwclock.sh "./hwclock.$(date +"%Y%m%d%H%M%S")"
cat ./hwclock.new > /etc/init.d/hwclock.sh
